std::stop_callback< _Callback > Class Template Reference

`#include <stop_token>`

## Public Types

using | callback_type

## Public Member Functions

| stop_callback (const stop_callback &)=delete
template<typename _Cb, enable_if_t< is_constructible_v< _Callback, _Cb >, int > = 0>
| stop_callback (const stop_token &__token, _Cb &&__cb) noexcept(is_nothrow_constructible_v< _Callback, _Cb >)
| stop_callback (stop_callback &&)=delete
template<typename _Cb, enable_if_t< is_constructible_v< _Callback, _Cb >, int > = 0>
| stop_callback (stop_token &&__token, _Cb &&__cb) noexcept(is_nothrow_constructible_v< _Callback, _Cb >)
stop_callback & | operator= (const stop_callback &)=delete
stop_callback & | operator= (stop_callback &&)=delete

## Detailed Description

template<typename _Callback>
class std::stop_callback< _Callback >

A wrapper for callbacks to be run when a stop request is made.

Definition at line 572 of file stop_token.

## Member Typedef Documentation

## callback_type

template<typename _Callback>

using std::stop_callback< _Callback >::callback_type

Definition at line 578 of file stop_token.

## Constructor & Destructor Documentation

## stop_callback() [1/2]

template<typename _Callback>
template<typename _Cb, enable_if_t< is_constructible_v< _Callback, _Cb >, int > = 0>

std::stop_callback< _Callback >::stop_callback | ( | const stop_token & | __token,
|  | _Cb && | __cb )

inline explicit noexcept

Definition at line 583 of file stop_token.

## stop_callback() [2/2]

template<typename _Callback>
template<typename _Cb, enable_if_t< is_constructible_v< _Callback, _Cb >, int > = 0>

std::stop_callback< _Callback >::stop_callback | ( | stop_token && | __token,
|  | _Cb && | __cb )

inline explicit noexcept

Definition at line 597 of file stop_token.

## ~stop_callback()

template<typename _Callback>

std::stop_callback< _Callback >::~stop_callback | ( |  | ) |

inline

Definition at line 608 of file stop_token.

The documentation for this class was generated from the following file:

- stop_token